package com.cweb.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.cweb.config.SysConst;
import com.hai.common.Base64Util;
import com.hai.common.QRCodeGenerator;
import com.hai.common.exception.ErrorCode;
import com.hai.common.exception.ErrorHelp;
import com.hai.common.exception.SysCode;
import com.hai.common.pay.util.XmlUtil;
import com.hai.common.pay.util.sdk.WXPayConstants;
import com.hai.common.security.SessionObject;
import com.hai.common.security.UserCenter;
import com.hai.common.utils.*;
import com.hai.config.*;
import com.hai.dao.HighGasOrderPushMapper;
import com.hai.entity.*;
import com.hai.enum_type.LoginPlatform;
import com.hai.enum_type.MerchantStoreSourceType;
import com.hai.model.*;
import com.hai.pay.channel.huift.TradeService;
import com.hai.service.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.apache.http.HttpEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.conn.ssl.SSLConnectionSocketFactory;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.ssl.SSLContexts;
import org.apache.http.util.EntityUtils;
import org.bouncycastle.util.encoders.UrlBase64;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.util.IdGenerator;
import org.springframework.web.bind.annotation.*;
import sun.nio.cs.StreamEncoder;

import javax.annotation.Resource;
import javax.net.ssl.SSLContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.math.BigDecimal;
import java.nio.charset.StandardCharsets;
import java.security.KeyStore;
import java.util.*;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/3/26 23:08
 */
@Controller
@RequestMapping(value = "/test")
@Api(value = "订单接口")
public class HighTestController {

    private static Logger log = LoggerFactory.getLogger(HighTestController.class);

    @Resource
    private PayloService payloService;

    @Resource
    private HighGasService gasService;

    @Resource
    private HighUserService userService;

    @Resource
    private HighOrderService orderService;

    @Resource
    private HighMerchantStoreService merchantStoreService;

    @RequestMapping(value = "/invalidCoupon", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "重庆CNPC电子券作废")
    public ResponseData invalidCoupon(@RequestParam(name = "couponNo", required = true) String couponNo,
                                      @RequestParam(name = "random", required = false) String random) {
        try {

            return ResponseMsgUtil.success(ChongQingCNPCService.invalidCoupon(couponNo, null));

        } catch (Exception e) {
            log.error("HighOrderController --> getBackendToken() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }

    @RequestMapping(value = "/costRechargeOrder", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "costRechargeOrder")
    public ResponseData costRechargeOrder() {
        try {

            JSONObject returnParam = JSONObject.parseObject("{\"respMessage\":\"ok\",\"data\":\"Gbkl57c3fEBg+E3HfPuQ55SDLVyAf2Ys3VN1cifAfXIoT1gnbFR0Nfupa+4sowIdXJ67nC57v4Oi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\\ndEtTq7DJYFXL2ZNVO5NXtN0PEQWfiv6NjnT0mA==\",\"sign\":\"092D1C30297952E42D02C44681BE0FA4\",\"respCode\":\"0000\",\"responseId\":\"1722851470478\"}");
            // 解密
            JSONObject jsonObject = HuiLianTongUnionCardConfig.resolveResponse(returnParam.getString("data"));
            JSONArray dataArray = JSONObject.parseObject(jsonObject.getString("data"), JSONArray.class);

            return ResponseMsgUtil.success(dataArray);

        } catch (Exception e) {
            log.error("HighOrderController --> getBackendToken() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }

    @RequestMapping(value = "/hltCardRefund", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "汇联通卡退款")
    public ResponseData hltCardRefund() {
        try {
            String refundOrderNo = "R240807134052188";
            String paySerialNo = "240801075734765689";
            JSONObject refund = HuiLianTongUnionCardConfig.refund(refundOrderNo, paySerialNo);
            if(!refund.getString("respCode").equals("0000")) {
                throw ErrorHelp.genException(SysCode.System, ErrorCode.COMMON_ERROR,refund.getString("respMessage"));
            }
            JSONObject consumptionResult = HuiLianTongUnionCardConfig.resolveResponse(refund.getString("data"));
            if (consumptionResult.getBoolean("success") != true) {
                throw ErrorHelp.genException(SysCode.System, ErrorCode.COMMON_ERROR, "交易失败!"+consumptionResult.getString("message"));
            }

            return ResponseMsgUtil.success(consumptionResult);

        } catch (Exception e) {
            log.error("HighOrderController --> getBackendToken() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }

    @Resource
    private MqttProviderConfig mqttProviderConfig;
    @Resource
    private HighGasOrderService gasOrderService;
    @RequestMapping(value = "/mqttpublish", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "mqttpublish")
    public ResponseData mqttpublish() {
        try {
            HighGasOrder gasOrder = gasOrderService.getDetailByOrderNo("HF2022080713272355608");

            JSONObject param = new JSONObject();
            param.put("id", System.currentTimeMillis());
            param.put("type", 5);
            //param.put("vType", 0);
            //param.put("vMessage", "嗨加油新订单，加油金额"+gasOrder.getGasRefuelPrice()+"元，请注意查收");

            JSONArray contents = new JSONArray();
            // 标题
            JSONObject title = new JSONObject();
            title.put("cont", "嗨加油");
            title.put("type", "title");
            contents.add(title);

            // 油站名称
            JSONObject merName = new JSONObject();
            merName.put("cont", gasOrder.getStoreName() + "（补打）");
            merName.put("type", "text");
            merName.put("align", "center");
            merName.put("bold", true);
            contents.add(merName);

            // 存根
            JSONObject stub = new JSONObject();
            stub.put("cont", "（收银员存根）");
            stub.put("type", "text");
            stub.put("align", "center");
            contents.add(stub);

            // 分割线
            JSONObject divLine1 = new JSONObject();
            divLine1.put("cont", "");
            divLine1.put("type", "div_star");
            contents.add(divLine1);

            // 订单号
            JSONObject orderNo = new JSONObject();
            orderNo.put("cont", "流水：" + gasOrder.getOrderNo());
            orderNo.put("type", "text");
            contents.add(orderNo);

            // 分割线
            JSONObject divLine2 = new JSONObject();
            divLine2.put("cont", "");
            divLine2.put("type", "div_star");
            contents.add(divLine2);

            // 打印时间
            JSONObject printTime = new JSONObject();
            printTime.put("cont", "打印时间：" + DateUtil.date2String(new Date(), DateUtil.Y_M_D_HMS));
            printTime.put("type", "text");
            contents.add(printTime);

            // 支付时间
            JSONObject payTime = new JSONObject();
            payTime.put("cont", "支付时间：" + DateUtil.date2String(gasOrder.getPayTime(), DateUtil.Y_M_D_HMS));
            payTime.put("type", "text");
            contents.add(payTime);

            // 电话
            JSONObject userPhone = new JSONObject();
            userPhone.put("cont", "电话：" + (StringUtils.isNotBlank(gasOrder.getMemPhone())?gasOrder.getMemPhone().substring(0, 3) + "****" + gasOrder.getMemPhone().substring(7):""));
            userPhone.put("type", "text");
            contents.add(userPhone);

            // 来源
            JSONObject source = new JSONObject();
            source.put("cont", "来源：" + "嗨加油");
            source.put("type", "text");
            contents.add(source);

            // 枪号
            JSONObject gunNo = new JSONObject();
            gunNo.put("cont", "油枪：" + gasOrder.getGasGunNo()+"号");
            gunNo.put("type", "text");
            contents.add(gunNo);

            // 油品
            JSONObject oilNo = new JSONObject();
            oilNo.put("cont", "油品：" + gasOrder.getGasOilNo()+"#");
            oilNo.put("type", "text");
            contents.add(oilNo);

            // 升数
            JSONObject oilLiters = new JSONObject();
            oilLiters.put("cont", "升数：" + gasOrder.getGasOilLiters()+"升");
            oilLiters.put("type", "text");
            contents.add(oilLiters);

            // 升数描述
            JSONObject oilLitersDesc = new JSONObject();
            oilLitersDesc.put("cont", "实际加油升数以油站加油机为准！");
            oilLitersDesc.put("type", "text");
            contents.add(oilLitersDesc);

            // 分割线
            JSONObject divLine3 = new JSONObject();
            divLine3.put("cont", "");
            divLine3.put("type", "div_star");
            contents.add(divLine3);

            // 加油金额标题
            JSONObject refuelPriceTitle = new JSONObject();
            refuelPriceTitle.put("cont", "加油金额");
            refuelPriceTitle.put("type", "text");
            refuelPriceTitle.put("size", "11");
            contents.add(refuelPriceTitle);
            // 加油金额
            JSONObject refuelPrice = new JSONObject();
            refuelPrice.put("cont", "￥" + gasOrder.getGasRefuelPrice() + "元");
            refuelPrice.put("type", "text");
            refuelPrice.put("size", "11");
            contents.add(refuelPrice);

            // 分割线
            JSONObject divLine4 = new JSONObject();
            divLine4.put("cont", "");
            divLine4.put("type", "div_star");
            contents.add(divLine4);

            // 小票底部
            JSONObject receiptBottom = new JSONObject();
            receiptBottom.put("cont", "开心又省钱；来“ 嗨森逛 ”");
            receiptBottom.put("type", "text");
            receiptBottom.put("align", "center");
            contents.add(receiptBottom);

            JSONObject cut = new JSONObject();
            cut.put("cont", "1");
            cut.put("type", "cut");
            contents.add(cut);

            param.put("contents", contents);
            mqttProviderConfig.publish(1, false, "SW242300044/submsg", param.toJSONString());
            return ResponseMsgUtil.success(null);

        } catch (Exception e) {
            log.error("HighOrderController --> getBackendToken() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }

    @RequestMapping(value = "/ycShellPageQueryAllStation", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "订单退款")
    public ResponseData ycShellPageQueryAllStation() {
        try {
            return ResponseMsgUtil.success(payloService.ycShellPageQueryAllStation(1, 50));

        } catch (Exception e) {
            log.error("HighOrderController --> getBackendToken() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }

    @RequestMapping(value = "/HuiLianTongConfigPayOrderByCouNo", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "")
    public ResponseData HuiLianTongConfigPayOrderByCouNo(@RequestParam(name = "couNo", required = true) String couNo) {
        try {

            JSONObject jsonObject = HuiLianTongConfig.getPayOrderByCouNo(couNo);
            if (jsonObject.getString("respCode").equals("0000")) {
                JSONObject data = HuiLianTongUnionCardConfig.resolveResponse(jsonObject.getString("data"));
                return ResponseMsgUtil.success(data);

            } else {
                log.error("getRechargeProduct error!", "查询失败！");
                throw ErrorHelp.genException(SysCode.System, ErrorCode.COMMON_ERROR , "查询失败");
            }
        } catch (Exception e) {
            log.error("HighOrderController --> getBackendToken() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }

    @RequestMapping(value = "/getPayloAllStation", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "paylo油站")
    public ResponseData getPayloAllStation(HttpServletRequest request) {
        try {

            gasService.getPayloAllStation();

            return ResponseMsgUtil.success("");

        } catch (Exception e) {
            log.error("HighOrderController --> unionStagingPay() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }

    @Resource
    private TradeService tradeService;
    @RequestMapping(value = "/huiftTrade", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "huiftTrade")
    public ResponseData huiftTrade(HttpServletRequest request) {
        try {

            // return ResponseMsgUtil.success(tradeService.thirdPreOrder(orderService.getOrderByOrderNo("2024040215535447310")));
            return ResponseMsgUtil.success(tradeService.thirdPayResult("P17124793186600955280"));

        } catch (Exception e) {
            log.error("HighOrderController --> unionStagingPay() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }

    @RequestMapping(value = "/loginBySilence", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "【H5】根据手机号登录")
    public ResponseData loginBySilence(@RequestParam(value = "phone", required = true) String phone ,
                                       HttpServletRequest request, HttpServletResponse response) {
        try {

            // 客户端
            LoginPlatform platform = LoginPlatform.getDataByType("H5");
            if (platform == null) {
                throw ErrorHelp.genException(SysCode.System, ErrorCode.COMMON_ERROR, "未知客户端");
            }

            return ResponseMsgUtil.success(userService.loginAndRegister(platform, phone, null, new HashMap<>(), request, response));

        } catch (Exception e) {
            return ResponseMsgUtil.exception(e);
        }
    }
    @Resource
    private HighQzOrderService highQzOrderService;
    @RequestMapping(value = "/getCinemaOrderByOrderNo", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "getCinemaOrderByOrderNo")
    public ResponseData getCinemaOrderByOrderNo(HttpServletRequest request, HttpServletResponse response) {
        try {
            return ResponseMsgUtil.success(QianZhuConfig.getCinemaOrderByOrderNo("20240429164821205766001"));
            // return ResponseMsgUtil.success(highQzOrderService.assemblyQzOrder("20240429164821205766001", "CINEMA"));

        } catch (Exception e) {
            return ResponseMsgUtil.exception(e);
        }
    }


    public static void main(String[] args) throws Exception {
        // 读取json文件内容
        BufferedReader reader = new BufferedReader(new FileReader("C:/Users/hurui/Desktop/无标题.json"));
        StringBuilder jsonContent = new StringBuilder();
        String line;
        while ((line = reader.readLine()) != null) {
            jsonContent.append(line);
        }
        reader.close();

        // 解析json字符串
        JSONArray dataList = JSONObject.parseObject(jsonContent.toString()).getJSONArray("RECORDS");
        for (Object obj : dataList) {
            JSONObject data = (JSONObject) obj;

            // 生成二维码
            String qrCodeImg = data.getString("store_key")+".png";
            String qrCodeUrl =  "D:/qrCode/" + qrCodeImg;

            //参数
            String param = "https://hsg.dctpay.com/hsgH5?accountId=000000&gasKey="+data.getString("store_key")+"&code=";
            QRCodeGenerator.generateQRCodeImage(param, 350, 350, qrCodeUrl);
        }

    }


}
